Nimbu Developer Docs
ReferenceFunctions

Execute a cloud function

POST
/functions/{id}

Invokes the named cloud function with the supplied JSON payload and returns the function's result.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

id*string

Function identifier

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

JSON payload passed to the function

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/functions/string" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
Empty
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}